/*
 * This file was generated by the CommonAPI Generators.
 * Used org.genivi.commonapi.someip 3.2.0.v202012010944.
 * Used org.franca.core 0.13.1.201807231814.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0.
 * If a copy of the MPL was not distributed with this file, You can obtain one at
 * http://mozilla.org/MPL/2.0/.
 */
#include <v2/Test/Audio/ControllerSomeIPStubAdapter.hpp>
#include <v2/Test/Audio/Controller.hpp>

#if !defined (COMMONAPI_INTERNAL_COMPILATION)
#define COMMONAPI_INTERNAL_COMPILATION
#define HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

#include <CommonAPI/SomeIP/AddressTranslator.hpp>

#if defined (HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE)
#undef COMMONAPI_INTERNAL_COMPILATION
#undef HAS_DEFINED_COMMONAPI_INTERNAL_COMPILATION_HERE
#endif

namespace v2 {
namespace Test {
namespace Audio {

std::shared_ptr<CommonAPI::SomeIP::StubAdapter> createControllerSomeIPStubAdapter(
                   const CommonAPI::SomeIP::Address &_address,
                   const std::shared_ptr<CommonAPI::SomeIP::ProxyConnection> &_connection,
                   const std::shared_ptr<CommonAPI::StubBase> &_stub) {
    return std::make_shared< ControllerSomeIPStubAdapter<::v2::Test::Audio::ControllerStub>>(_address, _connection, _stub);
}

void initializeControllerSomeIPStubAdapter() {
    CommonAPI::SomeIP::AddressTranslator::get()->insert(
        "local:Test.Audio.Controller:v2_0:Test_Audio_Controller",
         0x16c2, 0x1, 2, 0);
    CommonAPI::SomeIP::Factory::get()->registerStubAdapterCreateMethod(
        "Test.Audio.Controller:v2_0",
        &createControllerSomeIPStubAdapter);
}

INITIALIZER(registerControllerSomeIPStubAdapter) {
    CommonAPI::SomeIP::Factory::get()->registerInterface(initializeControllerSomeIPStubAdapter);
}

} // namespace Audio
} // namespace Test
} // namespace v2
